package com.dbnt.sims.fipTarget.repository;


import com.dbnt.sims.fipTarget.model.PartInfoFile;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;



public interface PartInfoFileRepository extends JpaRepository<PartInfoFile, PartInfoFile.PartInfoFileId> {

	PartInfoFile findTopByPiSeqOrderByFileSeq(Integer piSeq);

	List<PartInfoFile> findByPiSeqAndVersionNoOrderByFileSeqAsc(Integer piSeq, Integer versionNo);

	PartInfoFile findTopByPiSeqOrderByFileSeqDesc(Integer piSeq);

	PartInfoFile findTopByPiSeqAndVersionNoOrderByFileSeqDesc(Integer piSeq, Integer versionNo);

	void deleteByPiSeq(Integer piSeq);











}
